NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::MatchEdgeBuilder Class Reference

Represents a NXOpen::Features::MatchEdge builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMatchEdgeBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::MatchEdgeBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EdgeConstraintType {
  EdgeConstraintTypeLinked, EdgeConstraintTypeFree, EdgeConstraintTypePerpendicular, EdgeConstraintTypeIsoU,
  EdgeConstraintTypeIsoV, EdgeConstraintTypeLinear
}
 Edge constraint type. More...
 
enum  MatchExact { MatchExactExact, MatchExactAlign, MatchExactNone }
 Match Exact types. More...
 
enum  PoleMoveDirection { PoleMoveDirectionX, PoleMoveDirectionY, PoleMoveDirectionZ }
 Pole movement direction. More...
 
enum  PoleMovementConstraintEnumType {
  PoleMovementConstraintEnumTypeWCS, PoleMovementConstraintEnumTypeView, PoleMovementConstraintEnumTypeVector, PoleMovementConstraintEnumTypeNormal,
  PoleMovementConstraintEnumTypeProject, PoleMovementConstraintEnumTypeInherit, PoleMovementConstraintEnumTypeFixStart, PoleMovementConstraintEnumTypeFixEnd,
  PoleMovementConstraintEnumTypeStartAndEnd
}
 Pole movement type. More...
 
enum  Types { TypesMatchEdgeToEdge, TypesMatchEdgeToFace, TypesMatchEdgeToCurve, TypesMatchEdgeToDatum }
 Match Edge match types. More...
 

Public Member Functions

NXOpen::ExpressionBlend ()
 Returns the blend
Created in NX7.0.0. More...
 
bool CanUseFaceFinder ()
 Returns the synchronous mode
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::ControlPoleManagerDataControlPoleManager ()
 Returns the control pole manager
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilderDegreePatches ()
 Returns the degree and patches
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::DepthSkewBuilderDepthSkew ()
 Returns the depth skew
Created in NX7.0.0. More...
 
double DistanceTolerance ()
 Returns the tolerance for extracting BSurface from a face
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::CurveRangeBuilderEdgeLimit ()
 Returns the edge limit
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderEdgeOffsetPosition ()
 Returns the edge offset position
Created in NX6.0.0. More...
 
void EditPoleUpdateSurface ()
 Updates surface during edit pole. More...
 
NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType EndEdgeConstraint ()
 Returns the value indicating type of the end edge constraint
Created in NX7.0.0. More...
 
NXOpen::Features::FaceRecognitionBuilderFaceRecognizer ()
 Returns the face recognition
Created in NX7.5.0. More...
 
bool FlipTargetCurveOrientation ()
 Returns the target curve projection orientation
Created in NX7.5.2. More...
 
bool IsBlendEnabled ()
 Returns the value indicating if the matching is to be performed with blending
Created in NX7.0.0. More...
 
bool IsCreateCopy ()
 Returns the new copy of match edge surface
Created in NX6.0.1. More...
 
bool IsEditPoleEnabled ()
 Returns the poles edit state
Created in NX6.0.0. More...
 
bool IsEndEdgeLocked ()
 Returns the end edge locked state
Created in NX6.0.0. More...
 
bool IsEndPoleFixed ()
 Returns the value indicating if end pole is fixed
Created in NX7.0.0. More...
 
bool IsG0Continuity ()
 Returns the g0 continuity
Created in NX6.0.0. More...
 
bool IsG1Continuity ()
 Returns the g1 continuity
Created in NX6.0.0. More...
 
bool IsG2Continuity ()
 Returns the g2 continuity
Created in NX6.0.0. More...
 
bool IsG3Continuity ()
 Returns the g3 continuity
Created in NX6.0.0. More...
 
bool IsKeepSelected ()
 Returns the value indicating if the selections are to be maintained across the sessions of the command
Created in NX7.0.0. More...
 
bool IsMatchEndToEnd ()
 Returns the match end to end state
Created in NX6.0.0. More...
 
bool IsStartEdgeLocked ()
 Returns the start edge locked state
Created in NX6.0.0. More...
 
bool IsStartPoleFixed ()
 Returns the value indicating if start pole is fixed
Created in NX7.0.0. More...
 
void LoadEditEdge ()
 Loads editing edge related internal data and should be called after selection of edge or face to match to
Created in NX6.0.0. More...
 
NXOpen::Features::MatchEdgeBuilder::MatchExact MatchExactType ()
 Returns the value indicating type of exact match
Created in NX7.0.0. More...
 
NXOpen::SelectNXObjectObjectToEdit ()
 Returns the edge to edit
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityOppositeEdgeConstraint ()
 Returns the start continuity constraint for matched surface
Created in NX6.0.0. More...
 
int PartialMatch ()
 Returns the partial match
Created in NX7.0.0. More...
 
NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection PoleMoveDirectionEnum ()
 Returns the value indicating the direction of pole movement
Created in NX7.0.0. More...
 
NXOpen::DirectionPoleMoveDirectionVector ()
 Returns the pole move direction vector
Created in NX7.0.0. More...
 
NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType PoleMovementConstraintType ()
 Returns the value indicating type of pole movement constraint
Created in NX7.0.0. More...
 
void ResetEditPoles ()
 Resets surface during edit pole. More...
 
void SetBlendEnabled (bool isBlendEnabled)
 Sets the value indicating if the matching is to be performed with blending
Created in NX7.0.0. More...
 
void SetCanUseFaceFinder (bool canUseFaceFinder)
 Sets the synchronous mode
Created in NX7.5.0. More...
 
void SetCreateCopy (bool createCopy)
 Sets the new copy of match edge surface
Created in NX6.0.1. More...
 
void SetDistanceTolerance (double tolerance)
 Sets the tolerance for extracting BSurface from a face
Created in NX7.5.0. More...
 
void SetEditPoleEnabled (bool enable)
 Sets the poles edit state
Created in NX6.0.0. More...
 
void SetEndEdgeConstraint (NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType endEdgeConstraint)
 Sets the value indicating type of the end edge constraint
Created in NX7.0.0. More...
 
void SetEndEdgeLocked (bool lockEndEdge)
 Sets the end edge locked state
Created in NX6.0.0. More...
 
void SetEndPoleFixed (bool fixEndPole)
 Sets the value indicating if end pole is fixed
Created in NX7.0.0. More...
 
void SetFlipTargetCurveOrientation (bool flip)
 Sets the target curve projection orientation
Created in NX7.5.2. More...
 
void SetG0Continuity (bool g0Continuity)
 Sets the g0 continuity
Created in NX6.0.0. More...
 
void SetG1Continuity (bool g1Continuity)
 Sets the g1 continuity
Created in NX6.0.0. More...
 
void SetG2Continuity (bool g2Continuity)
 Sets the g2 continuity
Created in NX6.0.0. More...
 
void SetG3Continuity (bool g3Continuity)
 Sets the g3 continuity
Created in NX6.0.0. More...
 
void SetKeepSelected (bool isKeepSelected)
 Sets the value indicating if the selections are to be maintained across the sessions of the command
Created in NX7.0.0. More...
 
void SetMatchEndToEnd (bool isMatchEndToEnd)
 Sets the match end to end state
Created in NX6.0.0. More...
 
void SetMatchExactType (NXOpen::Features::MatchEdgeBuilder::MatchExact matchExact)
 Sets the value indicating type of exact match
Created in NX7.0.0. More...
 
void SetPartialMatch (int partialMatch)
 Sets the partial match
Created in NX7.0.0. More...
 
void SetPoleMoveDirectionEnum (NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection poleMoveDirectionEnum)
 Sets the value indicating the direction of pole movement
Created in NX7.0.0. More...
 
void SetPoleMoveDirectionVector (NXOpen::Direction *poleMoveDirectionVector)
 Sets the pole move direction vector
Created in NX7.0.0. More...
 
void SetPoleMovementConstraintType (NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType poleMovementConstraint)
 Sets the value indicating type of pole movement constraint
Created in NX7.0.0. More...
 
void SetSelectedEditEdgeAndFace (NXOpen::Edge *edge, NXOpen::Face *face)
 Sets edge and face
Created in NX7.5.0. More...
 
void SetStartEdgeConstraint (NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType startEdgeConstraint)
 Sets the value indicating type of the start edge constraint
Created in NX7.0.0. More...
 
void SetStartEdgeLocked (bool isStartEdgeLocked)
 Sets the start edge locked state
Created in NX6.0.0. More...
 
void SetStartPoleFixed (bool fixStartPole)
 Sets the value indicating if start pole is fixed
Created in NX7.0.0. More...
 
void SetTangentDirectionVector (NXOpen::Direction *tangentDirectionVector)
 Sets the tangent direction vector
Created in NX7.0.0. More...
 
void SetType (NXOpen::Features::MatchEdgeBuilder::Types type)
 Sets the type
Created in NX6.0.0. More...
 
void SetupPoleEditing ()
 Sets up surface pole editing. More...
 
NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType StartEdgeConstraint ()
 Returns the value indicating type of the start edge constraint
Created in NX7.0.0. More...
 
NXOpen::DirectionTangentDirectionVector ()
 Returns the tangent direction vector
Created in NX7.0.0. More...
 
NXOpen::SelectDisplayableObjectListTargetObjects ()
 Returns the target object that the edge is matching to
Created in NX6.0.0. More...
 
NXOpen::Features::MatchEdgeBuilder::Types Type ()
 Returns the type
Created in NX6.0.0. More...
 
void UpdateOriginalMatchSurface ()
 Update original match surface geometry
Created in NX7.5.2. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::MatchEdge builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMatchEdgeBuilder
Default values.

Property Value

Blend.Value

100

CanUseFaceFinder

0

DegreePatches.Degree

3

DegreePatches.SegmentsOrPatches

1

DegreePatches.UDegree

5

DegreePatches.UPatches

1

DegreePatches.VDegree

5

DegreePatches.VPatches

1

EdgeLimit.AnchorPosition

Start

EndEdgeConstraint

Linked

FaceRecognizer.CoaxialEnabled

0

FaceRecognizer.CoplanarAxesEnabled

0

FaceRecognizer.CoplanarEnabled

0

FaceRecognizer.EqualDiameterEnabled

0

FaceRecognizer.OffsetEnabled

0

FaceRecognizer.ParallelEnabled

0

FaceRecognizer.PerpendicularEnabled

0

FaceRecognizer.SymmetricEnabled

0

FaceRecognizer.TangentEnabled

0

FaceRecognizer.ThicknessChainEnabled

0

FaceRecognizer.UseFaceBrowse

1

IsBlendEnabled

0

IsEditPoleEnabled

0

IsEndEdgeLocked

0

IsEndPoleFixed

0

IsG0Continuity

1

IsG1Continuity

1

IsG2Continuity

0

IsG3Continuity

0

IsKeepSelected

0

IsMatchEndToEnd

0

IsStartEdgeLocked

0

IsStartPoleFixed

0

MatchExactType

None

PartialMatch

100

PoleMoveDirectionEnum

X

PoleMovementConstraintType

Project

StartEdgeConstraint

Free


Created in NX6.0.0.

Member Enumeration Documentation

Edge constraint type.

Enumerator
EdgeConstraintTypeLinked 

Linked, available for end edge only.

EdgeConstraintTypeFree 

Free.

EdgeConstraintTypePerpendicular 

Perpendicular.

EdgeConstraintTypeIsoU 

Iso u.

EdgeConstraintTypeIsoV 

Iso v.

EdgeConstraintTypeLinear 

Linear.

Match Exact types.

Enumerator
MatchExactExact 

Match exact.

MatchExactAlign 

Match align without change degree and patch.

MatchExactNone 

Don't match exact.

Pole movement direction.

Enumerator
PoleMoveDirectionX 

Along XC direction.

PoleMoveDirectionY 

Along YC direction.

PoleMoveDirectionZ 

Along ZC direction.

Pole movement type.

Enumerator
PoleMovementConstraintEnumTypeWCS 

Along WCS X/Y/Z direction.

PoleMovementConstraintEnumTypeView 

Along view.

PoleMovementConstraintEnumTypeVector 

Along user defined vector.

PoleMovementConstraintEnumTypeNormal 

Normal.

PoleMovementConstraintEnumTypeProject 

Project.

PoleMovementConstraintEnumTypeInherit 

Inherit.

PoleMovementConstraintEnumTypeFixStart 

Fix start.

PoleMovementConstraintEnumTypeFixEnd 

Fix end.

PoleMovementConstraintEnumTypeStartAndEnd 

Fix start and end.

Match Edge match types.

The match to datum type is deprecated in NX7.0.

Enumerator
TypesMatchEdgeToEdge 

Edge to Edge match type.

TypesMatchEdgeToFace 

Edge to Face match type.

TypesMatchEdgeToCurve 

Edge to Curve match type.

TypesMatchEdgeToDatum 

Edge to Datum match type.

This type deprecated in NX7.0. Use NXOpen::Features::EdgeSymmetry feature instead.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::MatchEdgeBuilder::Blend ( )

Returns the blend
Created in NX7.0.0.



License requirements : None

bool NXOpen::Features::MatchEdgeBuilder::CanUseFaceFinder ( )

Returns the synchronous mode
Created in NX7.5.0.



License requirements : None

NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::MatchEdgeBuilder::ControlPoleManager ( )

Returns the control pole manager
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::MatchEdgeBuilder::DegreePatches ( )

Returns the degree and patches
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::MatchEdgeBuilder::DepthSkew ( )

Returns the depth skew
Created in NX7.0.0.



License requirements : None

double NXOpen::Features::MatchEdgeBuilder::DistanceTolerance ( )

Returns the tolerance for extracting BSurface from a face
Created in NX7.5.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::MatchEdgeBuilder::EdgeLimit ( )

Returns the edge limit
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::MatchEdgeBuilder::EdgeOffsetPosition ( )

Returns the edge offset position
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::MatchEdgeBuilder::EditPoleUpdateSurface ( )

Updates surface during edit pole.

This function is used only in pole editing stage and after poles are moved to new positions. This function updates the surface according to the new pole positions.


Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING")

NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType NXOpen::Features::MatchEdgeBuilder::EndEdgeConstraint ( )

Returns the value indicating type of the end edge constraint
Created in NX7.0.0.



License requirements : None

NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::MatchEdgeBuilder::FaceRecognizer ( )

Returns the face recognition
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::MatchEdgeBuilder::FlipTargetCurveOrientation ( )

Returns the target curve projection orientation
Created in NX7.5.2.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsBlendEnabled ( )

Returns the value indicating if the matching is to be performed with blending
Created in NX7.0.0.



License requirements : None

bool NXOpen::Features::MatchEdgeBuilder::IsCreateCopy ( )

Returns the new copy of match edge surface
Created in NX6.0.1.



License requirements : features_modeling ("FEATURES MODELING")

bool NXOpen::Features::MatchEdgeBuilder::IsEditPoleEnabled ( )

Returns the poles edit state
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

bool NXOpen::Features::MatchEdgeBuilder::IsEndEdgeLocked ( )

Returns the end edge locked state
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsEndPoleFixed ( )

Returns the value indicating if end pole is fixed
Created in NX7.0.0.



License requirements : None

bool NXOpen::Features::MatchEdgeBuilder::IsG0Continuity ( )

Returns the g0 continuity
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsG1Continuity ( )

Returns the g1 continuity
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsG2Continuity ( )

Returns the g2 continuity
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsG3Continuity ( )

Returns the g3 continuity
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsKeepSelected ( )

Returns the value indicating if the selections are to be maintained across the sessions of the command
Created in NX7.0.0.



License requirements : None

bool NXOpen::Features::MatchEdgeBuilder::IsMatchEndToEnd ( )

Returns the match end to end state
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsStartEdgeLocked ( )

Returns the start edge locked state
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::MatchEdgeBuilder::IsStartPoleFixed ( )

Returns the value indicating if start pole is fixed
Created in NX7.0.0.



License requirements : None

void NXOpen::Features::MatchEdgeBuilder::LoadEditEdge ( )

Loads editing edge related internal data and should be called after selection of edge or face to match to
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::MatchEdgeBuilder::MatchExact NXOpen::Features::MatchEdgeBuilder::MatchExactType ( )

Returns the value indicating type of exact match
Created in NX7.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::MatchEdgeBuilder::ObjectToEdit ( )

Returns the edge to edit
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::MatchEdgeBuilder::OppositeEdgeConstraint ( )

Returns the start continuity constraint for matched surface
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

int NXOpen::Features::MatchEdgeBuilder::PartialMatch ( )

Returns the partial match
Created in NX7.0.0.



License requirements : None

NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection NXOpen::Features::MatchEdgeBuilder::PoleMoveDirectionEnum ( )

Returns the value indicating the direction of pole movement
Created in NX7.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::MatchEdgeBuilder::PoleMoveDirectionVector ( )

Returns the pole move direction vector
Created in NX7.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintType ( )

Returns the value indicating type of pole movement constraint
Created in NX7.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::MatchEdgeBuilder::ResetEditPoles ( )

Resets surface during edit pole.

This function resets the surface control poles to their initial positions.


Created in NX7.0.0.

License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::MatchEdgeBuilder::SetBlendEnabled ( bool  isBlendEnabled)

Sets the value indicating if the matching is to be performed with blending
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isBlendEnabledisblendenabled
void NXOpen::Features::MatchEdgeBuilder::SetCanUseFaceFinder ( bool  canUseFaceFinder)

Sets the synchronous mode
Created in NX7.5.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
canUseFaceFindercanusefacefinder
void NXOpen::Features::MatchEdgeBuilder::SetCreateCopy ( bool  createCopy)

Sets the new copy of match edge surface
Created in NX6.0.1.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
createCopycreatecopy
void NXOpen::Features::MatchEdgeBuilder::SetDistanceTolerance ( double  tolerance)

Sets the tolerance for extracting BSurface from a face
Created in NX7.5.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
tolerancetolerance
void NXOpen::Features::MatchEdgeBuilder::SetEditPoleEnabled ( bool  enable)

Sets the poles edit state
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
enableenable
void NXOpen::Features::MatchEdgeBuilder::SetEndEdgeConstraint ( NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType  endEdgeConstraint)

Sets the value indicating type of the end edge constraint
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
endEdgeConstraintendedgeconstraint
void NXOpen::Features::MatchEdgeBuilder::SetEndEdgeLocked ( bool  lockEndEdge)

Sets the end edge locked state
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
lockEndEdgelockendedge
void NXOpen::Features::MatchEdgeBuilder::SetEndPoleFixed ( bool  fixEndPole)

Sets the value indicating if end pole is fixed
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
fixEndPolefixendpole
void NXOpen::Features::MatchEdgeBuilder::SetFlipTargetCurveOrientation ( bool  flip)

Sets the target curve projection orientation
Created in NX7.5.2.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
flipflip
void NXOpen::Features::MatchEdgeBuilder::SetG0Continuity ( bool  g0Continuity)

Sets the g0 continuity
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
g0Continuityg0continuity
void NXOpen::Features::MatchEdgeBuilder::SetG1Continuity ( bool  g1Continuity)

Sets the g1 continuity
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
g1Continuityg1continuity
void NXOpen::Features::MatchEdgeBuilder::SetG2Continuity ( bool  g2Continuity)

Sets the g2 continuity
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
g2Continuityg2continuity
void NXOpen::Features::MatchEdgeBuilder::SetG3Continuity ( bool  g3Continuity)

Sets the g3 continuity
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
g3Continuityg3continuity
void NXOpen::Features::MatchEdgeBuilder::SetKeepSelected ( bool  isKeepSelected)

Sets the value indicating if the selections are to be maintained across the sessions of the command
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isKeepSelectediskeepselected
void NXOpen::Features::MatchEdgeBuilder::SetMatchEndToEnd ( bool  isMatchEndToEnd)

Sets the match end to end state
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
isMatchEndToEndismatchendtoend
void NXOpen::Features::MatchEdgeBuilder::SetMatchExactType ( NXOpen::Features::MatchEdgeBuilder::MatchExact  matchExact)

Sets the value indicating type of exact match
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
matchExactmatchexact
void NXOpen::Features::MatchEdgeBuilder::SetPartialMatch ( int  partialMatch)

Sets the partial match
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
partialMatchpartialmatch
void NXOpen::Features::MatchEdgeBuilder::SetPoleMoveDirectionEnum ( NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection  poleMoveDirectionEnum)

Sets the value indicating the direction of pole movement
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
poleMoveDirectionEnumpolemovedirectionenum
void NXOpen::Features::MatchEdgeBuilder::SetPoleMoveDirectionVector ( NXOpen::Direction poleMoveDirectionVector)

Sets the pole move direction vector
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
poleMoveDirectionVectorpolemovedirectionvector
void NXOpen::Features::MatchEdgeBuilder::SetPoleMovementConstraintType ( NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType  poleMovementConstraint)

Sets the value indicating type of pole movement constraint
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
poleMovementConstraintpolemovementconstraint
void NXOpen::Features::MatchEdgeBuilder::SetSelectedEditEdgeAndFace ( NXOpen::Edge edge,
NXOpen::Face face 
)

Sets edge and face
Created in NX7.5.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
edgeedge
faceface
void NXOpen::Features::MatchEdgeBuilder::SetStartEdgeConstraint ( NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType  startEdgeConstraint)

Sets the value indicating type of the start edge constraint
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
startEdgeConstraintstartedgeconstraint
void NXOpen::Features::MatchEdgeBuilder::SetStartEdgeLocked ( bool  isStartEdgeLocked)

Sets the start edge locked state
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
isStartEdgeLockedisstartedgelocked
void NXOpen::Features::MatchEdgeBuilder::SetStartPoleFixed ( bool  fixStartPole)

Sets the value indicating if start pole is fixed
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
fixStartPolefixstartpole
void NXOpen::Features::MatchEdgeBuilder::SetTangentDirectionVector ( NXOpen::Direction tangentDirectionVector)

Sets the tangent direction vector
Created in NX7.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
tangentDirectionVectortangentdirectionvector
void NXOpen::Features::MatchEdgeBuilder::SetType ( NXOpen::Features::MatchEdgeBuilder::Types  type)

Sets the type
Created in NX6.0.0.



License requirements : features_modeling ("FEATURES MODELING")

Parameters
typetype
void NXOpen::Features::MatchEdgeBuilder::SetupPoleEditing ( )

Sets up surface pole editing.

This should be called before getting into pole editing function to prepare necessary settings to start surface pole edit.


Created in NX6.0.0.

License requirements : features_modeling ("FEATURES MODELING")

NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType NXOpen::Features::MatchEdgeBuilder::StartEdgeConstraint ( )

Returns the value indicating type of the start edge constraint
Created in NX7.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::MatchEdgeBuilder::TangentDirectionVector ( )

Returns the tangent direction vector
Created in NX7.0.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::MatchEdgeBuilder::TargetObjects ( )

Returns the target object that the edge is matching to
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::MatchEdgeBuilder::Types NXOpen::Features::MatchEdgeBuilder::Type ( )

Returns the type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::MatchEdgeBuilder::UpdateOriginalMatchSurface ( )

Update original match surface geometry
Created in NX7.5.2.



License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.